Skip to main content
GET
Get the session scope

Headers

X-AVP-Impersonation
string

Path Parameters

sessionId
string
required

Response

Returns the user session scope

The scope of the session. It defines which engine, hotels, rooms and rates the session is allowed to use.

hotelIds
string[]
required

Hotel ids of the current scope.

roomIds
integer<int32>[]
required

Room ids of the current scope.

rateIds
integer<int32>[]
required

Rate ids of the current scope.

extraIds
integer<int32>[]
required

Extra ids of the current scope.

activePromoCode
object
required

This property is filled with the details of the promocode if the one configured in the context is a valid one.

selectedRateIds
integer<int32>[]
required
selectedRoomIds
integer<int32>[]
required
highlightedRateIds
integer<int32>[]
required
highlightedRoomIds
integer<int32>[]
required
highlightedHotelIds
string[]
required
defaultDisplayType
enum<string>
required

Whether search results are displayed as a room or an accommodation.

Available options:
Room,
Accommodation
roomDisplayTypes
object
required
mealPlanIds
integer<int32>[]
required

MealPlan ids of the current scope.